Bläddra i källkod

Initial commit

master
Alarig Le Lay 1 år sedan
incheckning
9d6efea1ec

+ 4
- 0
app-office/ganttproject-bin/Manifest Visa fil

@@ -0,0 +1,4 @@
1
+AUX 2.8.5-ganttproject-bin 303 SHA256 485be3d3e9ef430c8455d490d8730d9afe12d5fd4fd1af24aada838be49be5d3 SHA512 67fd75ff64ff9615992b2fa0249857238144fce232c1d90023a1f39b15647c2f39bb1e80258bf9f266bf1bf80693db18aac1723e435f6a81a14f350ff068973c WHIRLPOOL cc5bd4f62735676842e67a65148c1d00dd6aba6ee8c6e8365efd0d0c90934f8e667dd33679d6ecbe98e1277b637d087093e42725474e8841fab43a81516efd64
2
+DIST ganttproject-2.8.5-r2179.zip 14557063 SHA256 d469c921ec75a082f3f1cf926e227146c4b20bc7ca3e585672d2013ef99f6641 SHA512 7f4e0e7cb8c2358070c567bf69f01c217a3173328bf79826ce5161297162c10f43a2a9c42cd86c6976bd2d562817bccaa745b20bfcc6ae9195d7034c6b505e7d WHIRLPOOL 5cf2ff9a176a16ffbbfcbd92fda7a5cbd03d93bc983a0f26287f6dd46604e502f3730f2022514076f54cef68ec2047f88fce4c356cc43b000bd3776b0f1427cf
3
+EBUILD ganttproject-bin-2.8.5-r2179.ebuild 873 SHA256 787c7909b5428725381f7b5a87352cf3a8c8fbc4a350e847a6dbde186e41c5e1 SHA512 465c271b59ab15c0f7c84b3373731889a8e87d7550a79fa9af28f23e6691181a061220d7fac882e8df130499eeef469af04517b8a6f52ff4f204675345cbc06b WHIRLPOOL 7c2391a38293824647d3b64d274bf269c97e47d3c2105db39667165cb5f25eda38503229d807840f8b9844f1c90bfb39c6348a0e5c769e8246e05c3d2abb745a
4
+MISC ganttproject-bin-2.0.10.bak 894 SHA256 2119118f7ae930420bfa8eb119f95fe16312d25c1b2d0fa564aca607dfd430e9 SHA512 7eb85283501237cca8115098a92e39dda1b42263d6529b3c195f3cb97d04112e4bd1b0214e7b119c618ae207bc2ceae438948abb19f1c2a1d46e1cd34cc9ecf4 WHIRLPOOL 70740c2a11f560f105e33c4aeec417a54224155db6d16e4270cc076b3b16e69fc0068c9f204701c5845fe78e565cbeb0299d5f3e05b7275eb47020ed5e8f7255

+ 12
- 0
app-office/ganttproject-bin/files/2.8.5-ganttproject-bin Visa fil

@@ -0,0 +1,12 @@
1
+#!/bin/bash
2
+
3
+GP_HOME=/usr/share/ganttproject-bin
4
+
5
+cd ${GP_HOME}
6
+
7
+LOCAL_CLASSPATH=$GP_HOME/eclipsito.jar
8
+
9
+CONFIGURATION_FILE=ganttproject-eclipsito-config.xml
10
+BOOT_CLASS=org.bardsoftware.eclipsito.Boot
11
+
12
+$(java-config -J) -Xmx256m -classpath $CLASSPATH:$LOCAL_CLASSPATH $BOOT_CLASS $CONFIGURATION_FILE $*

+ 33
- 0
app-office/ganttproject-bin/ganttproject-bin-2.0.10.bak Visa fil

@@ -0,0 +1,33 @@
1
+# Copyright 1999-2010 Gentoo Foundation
2
+# Distributed under the terms of the GNU General Public License v2
3
+
4
+inherit eutils java-pkg-2
5
+
6
+MY_P=${PN/-bin}-${PV}
7
+DESCRIPTION="A tool for creating a project schedule by means of Gantt chart and resource load chart"
8
+HOMEPAGE="http://ganttproject.sourceforge.net/"
9
+SRC_URI="http://ganttproject.googlecode.com/files/${MY_P}.zip"
10
+
11
+LICENSE="GPL-2"
12
+SLOT="0"
13
+KEYWORDS="~amd64 ~x86"
14
+IUSE=""
15
+
16
+DEPEND="app-arch/unzip
17
+	>=virtual/jdk-1.4"
18
+RDEPEND="virtual/jre"
19
+
20
+S="${WORKDIR}/${MY_P}"
21
+
22
+src_install() {
23
+	insinto /usr/share/${PN}
24
+	doins -r eclipsito.jar plugins/ || die
25
+
26
+	newbin "${FILESDIR}/${PV%.*}-${PN}" ${PN} || die
27
+
28
+	insinto /usr/share/${PN}/examples
29
+	doins *.gan || die
30
+
31
+	doicon "${S}/plugins/net.sourceforge.ganttproject_${PV%.*}.0/data/resources/icons/ganttproject.png"
32
+	make_desktop_entry ${PN} "GanttProject" ${PN/-bin} "Java;Office;ProjectManagement"
33
+}

+ 33
- 0
app-office/ganttproject-bin/ganttproject-bin-2.8.5-r2179.ebuild Visa fil

@@ -0,0 +1,33 @@
1
+# Copyright 1999-2010 Gentoo Foundation
2
+# Distributed under the terms of the GNU General Public License v2
3
+
4
+inherit eutils java-pkg-2
5
+
6
+MY_PF=${PN/-bin}-${PVR}
7
+DESCRIPTION="A tool for creating a project schedule by means of Gantt chart and resource load chart"
8
+HOMEPAGE="http://ganttproject.sourceforge.net/"
9
+SRC_URI="mirror://sourceforge/ganttproject/${MY_PF}.zip"
10
+
11
+LICENSE="GPL-2"
12
+SLOT="0"
13
+KEYWORDS="~amd64 ~x86"
14
+IUSE=""
15
+
16
+DEPEND="app-arch/unzip
17
+	>=virtual/jdk-1.4"
18
+RDEPEND="virtual/jre"
19
+
20
+S="${WORKDIR}/${MY_PF}"
21
+
22
+src_install() {
23
+	insinto /usr/share/${PN}
24
+	doins -r eclipsito.jar plugins-${PV}/ || die
25
+
26
+	newbin "${FILESDIR}/${PV}-${PN}" ${PN} || die
27
+
28
+	insinto /usr/share/${PN}/examples
29
+	doins *.gan || die
30
+
31
+	doicon "${S}/plugins-${PV}/ganttproject/data/resources/icons/ganttproject.png"
32
+	make_desktop_entry ${PN} "GanttProject" ${PN/-bin} "Java;Office;ProjectManagement"
33
+}

+ 2
- 0
games-misc/fortune-mod-fforde/Manifest Visa fil

@@ -0,0 +1,2 @@
1
+DIST fortune-fforde.tgz 41200 SHA256 86c735d895b9a7f1d72c9d78fff7bbb5aa7667eadfa17feba27eb6f0ba1a0f14 SHA512 d3262944e0f2c0b64d299b3cb2b20465f5763947101bcdf670a7c814bc7f85c997f929a8080c83b722afd265820a7d66f1f7a01ca4eb0cf63bded894a4af6df3 WHIRLPOOL be4a9c06596912d561d2aa7fa906dac71caaf4f0c7456834242b3e8106731172f15d54f04a8efe951c7ccace455fd05f4137163b383ee4a79ac660383b542df2
2
+EBUILD fortune-mod-fforde-0.1.ebuild 557 SHA256 1edd1b43e7f471e508a92aca148a523ab523ef35609a82f8fe916d60662b65dc SHA512 1324944b9f1a4d4677edb6cad746541ea7a2c8782677509a2f7b95009e747109f3c00a18b2374545a0387dfbd3debedec2c50c89e59cab699fa02f8ae3b5fea5 WHIRLPOOL 8d56374fddca0e8dc5410ebec5265461c84294096d1426f896cc5a0c9ec05455fbf515ed6217634b03776bb9ec6daed86e94cfade8c7a0c3dd692505895d4d4c

+ 23
- 0
games-misc/fortune-mod-fforde/fortune-mod-fforde-0.1.ebuild Visa fil

@@ -0,0 +1,23 @@
1
+# Copyright 2016 Alarig Le Lay
2
+# Distributed under the terms of the GNU General Public License v2
3
+# $Id$
4
+EAPI=5
5
+MY_P=${PN/-mod/}
6
+DESCRIPTION="Quotes from Jasper Fforde books"
7
+HOMEPAGE="https://www.swordarmor.fr/"
8
+SRC_URI="https://www.swordarmor.fr/documents/${MY_P}.tgz"
9
+
10
+LICENSE="MIT"
11
+SLOT="0"
12
+KEYWORDS="~amd64 ~x86 ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
13
+IUSE=""
14
+RESTRICT="mirror"
15
+
16
+RDEPEND="games-misc/fortune-mod"
17
+
18
+S=${WORKDIR}/${MY_P}
19
+
20
+src_install() {
21
+	insinto /usr/share/fortune
22
+	doins fforde fforde.dat
23
+}

+ 1
- 0
metadata/layout.conf Visa fil

@@ -0,0 +1 @@
1
+masters = gentoo

+ 3
- 0
net-nds/apachedirectorystudio/Manifest Visa fil

@@ -0,0 +1,3 @@
1
+DIST ApacheDirectoryStudio-2.0.0.v20161101-M12-linux.gtk.x86.tar.gz 128319933 SHA256 3530d9cb61d046555a69cb2305c389265f89e7a451a19d7efabb5e883af27006 SHA512 d3e4bdd67aead0e9604b6562d3d7678b36174b572a6a4fb8a3fcf504c7a7cf100cbe0bb2d172242dd6e16eb0684f4552d41cae1dbab853dde0f0c4c7c17e102d WHIRLPOOL 670cfd6fa94db1d4664239eb8415fabb78b6a35d822620b42c32c54a462754a34bf62ff8b74acae7d3b32fcfc1e2831f1a2e9853b5e270adf694d6ecf22dba83
2
+DIST ApacheDirectoryStudio-2.0.0.v20161101-M12-linux.gtk.x86_64.tar.gz 128467314 SHA256 aac2790d9cdb0e134cba544e0e387dfd6673023bf1cbaec9a0ed3b58f4105861 SHA512 6c4365e7c4c85de051c5a823750168c2ba616a69c8405240168a2b5051973004328f9c23c75237e15590e4ee9f460d386feef7e3d03c873b9cb19412b8cc1840 WHIRLPOOL 03d81c569f92f03df8d29579436a232ff70002c8dc9d544d54cc2b13cccc243b8ed76fa537d22b10a5d78854022173fd07748a010ae39a5c8f5db6ad339a3aae
3
+EBUILD apachedirectorystudio-2.0.0.20161101.ebuild 1343 SHA256 25cfbbd26824f1665079e4437ebff504cf38e0590db2130b808a5694e73754bd SHA512 3da702404659f7f8bd0f6b699189a2eaf0cf3c020bd4aabbb60704f873dcfc33bb07e1a99b46e9f558f2263b0b2781d7796a63b6080bbe50fa5f9e5b44151970 WHIRLPOOL 1959dafccac0126b8bc05d32f2153d9ac2d9279177b6fa12a50585bf5882350766cab7195d8918fdaf0a126dc0b72ec1733f14e1728b0563e5a8b7e7eac573fc

+ 50
- 0
net-nds/apachedirectorystudio/apachedirectorystudio-2.0.0.20161101.ebuild Visa fil

@@ -0,0 +1,50 @@
1
+# Copyright 1999-2008 Gentoo Foundation
2
+# Distributed under the terms of the GNU General Public License v2
3
+# $Header: $
4
+
5
+EAPI="3"
6
+
7
+inherit eutils versionator
8
+
9
+MY_PV=$(replace_version_separator 3 '.v')
10
+MY_PN="ApacheDirectoryStudio"
11
+MY_PKGM=12
12
+
13
+
14
+DESCRIPTION="Apache Directory Studio is an universal LDAP directory tool."
15
+SRC_URI="amd64? (
16
+		"http://www-eu.apache.org/dist/directory/studio/${MY_PV}-M${MY_PKGM}/${MY_PN}-${MY_PV}-M${MY_PKGM}-linux.gtk.x86_64.tar.gz"
17
+	)
18
+	x86? (
19
+		"http://www.us.apache.org/dist/directory/studio/${MY_PV}-M${MY_PKGM}/${MY_PN}-${MY_PV}-M${MY_PKGM}-linux.gtk.x86.tar.gz"
20
+	)"
21
+HOMEPAGE="http://directory.apache.org/studio/"
22
+
23
+KEYWORDS="~amd64 ~x86"
24
+SLOT="2"
25
+LICENSE="Apache-2.0"
26
+IUSE=""
27
+
28
+DEPEND="!net-nds/Apache-DS" # obsolete ebuild name
29
+RDEPEND=">=virtual/jre-1.5.0
30
+	x11-libs/gtk+:2"
31
+
32
+MY_ARCH="x86?  ( x86 ) amd64? ( amd64 )"
33
+INSTALL_DIR="/opt"
34
+S="${WORKDIR}/${MY_PN}-linux-${MY_ARCH}-${MY_PV}"
35
+
36
+src_install() {
37
+
38
+	insinto "${INSTALL_DIR}"
39
+	
40
+	newicon "${MY_PN}/features/org.apache.directory.studio.schemaeditor.feature_${MY_PV}-M${MY_PKGM}/studio.png" "${MY_PN}.png"
41
+	#newicon "${MY_PN}/icon.xpm" "${MY_PN}.xpm"
42
+	
43
+	make_desktop_entry "${MY_PN}" "Apache Directory Studio" "${MY_PN}" "System"
44
+	
45
+	doins -r *
46
+	
47
+	fperms +x "${INSTALL_DIR}/${MY_PN}/${MY_PN}"
48
+	
49
+	dosym "${INSTALL_DIR}/${MY_PN}/${MY_PN}" "/usr/bin/${MY_PN}"
50
+}

+ 1
- 0
profiles/repo_name Visa fil

@@ -0,0 +1 @@
1
+SwordArMor

+ 4
- 0
sys-apps/package-query/Manifest Visa fil

@@ -0,0 +1,4 @@
1
+DIST package-query-1.1.tar.gz 375186 SHA256 fcf6d27aee4ca15ba8cfeb02fa0cc2a270ca7389fdab91e7b31d7c1f599f2a92 SHA512 b228c7012b8d8a913bdd05d498336075b99c5d9b34832c401085fdd5270f9cb2419c628234fed7c2fe5c950b083659dc463ffdea69c08e52fdc503f73a607298 WHIRLPOOL 86316d5ab9802ec82ba112e9a501583a31dd1868654c6d204af8ed373854786e097a05f68a58c53b92d9f0ae6f30bde9e2414d507cb2f2779d7d11ead88ee7c9
2
+DIST package-query-1.8.tar.gz 395670 SHA256 ce65626c7555173204757917233d07e3b33c2a0d9328566e71434c16ba2fc3d6 SHA512 e2f832ea93f7214195fbd2b86e1ce78498a2109cd45c3ff92ad4ea46902ec59a24f666b809a830604ffbc6b0d8026a961a7921088dfb16db16062228340bb441 WHIRLPOOL d88b4f6891786fa6561f74032f05cf6b11f23190170ae7c8ec6d9e0097c2a980fce744c53b707212ba74914dddde3c7da7db254c1dacc5286ef5d4f73a3d093b
3
+EBUILD package-query-1.1.ebuild 732 SHA256 4ce764763d58622e4bd0c4a1573946edc0c814acad1e0ae5dd512ea046f11a3e SHA512 b258bf4e3e288a2f479be2412637efb16a769b4dc304abb5d77273f59cffab15fbec5f4b7a43f5fc1895e027957edf90f08b2db20efe83c9208d210f868e97e8 WHIRLPOOL 6ed2e517f17129f6c6c0d93cb7d2d21c8d1c6ca0444f72ecfad1d3edb150b5664d3b87aa412d1ef29c786e9a5dbc5caa182cef7f71d3e5c3677c08b7260ac3c9
4
+EBUILD package-query-1.8.ebuild 748 SHA256 fb7b724310b917e5422825f1930af12d3266f852883fe48e6dcd638742b6c006 SHA512 f3d493088cbe950b39df23c6d73b9c9c7528de93d2ee9db9870165b0d59e28ae98d3febbf332ba4b74b6a60ccb5b61a9eeb26259e4075684e644c12142471ecb WHIRLPOOL 3f934c9a346746168f74b8b4d82e985a03a803fcd6855bd89253432f31da8c7c1b83a03a9fafe7627809e40634f17e456f7b0ae414fd2a1a85b4054adc4b555e

+ 42
- 0
sys-apps/package-query/package-query-1.1.ebuild Visa fil

@@ -0,0 +1,42 @@
1
+# Copyright 1999-2015 Gentoo Foundation
2
+# Distributed under the terms of the GNU General Public License v2
3
+# $Id$
4
+
5
+EAPI=4
6
+
7
+inherit autotools autotools-utils eutils
8
+
9
+DESCRIPTION="Query ALPM and AUR"
10
+HOMEPAGE="http://gitweb.archlinux.fr/package-query.git/"
11
+SRC_URI="http://mir.archlinux.fr/~tuxce/releases/${PN}/${P}.tar.gz"
12
+
13
+LICENSE="GPL-2"
14
+SLOT="0"
15
+KEYWORDS="~amd64 ~x86"
16
+IUSE=""
17
+
18
+DEPEND="
19
+	dev-libs/yajl
20
+	>=sys-apps/pacman-4.0
21
+	<=sys-apps/pacman-4.1
22
+"
23
+
24
+RDEPEND="${DEPEND}"
25
+
26
+src_prepare() {
27
+	eautoreconf
28
+}
29
+
30
+src_configure() {
31
+	local myeconfargs=(
32
+		--prefix=/usr
33
+		--sysconfdir=/etc
34
+		--localstatedir=/var
35
+		--with-aur-url=https://aur.archlinux.org
36
+	)
37
+	autotools-utils_src_configure
38
+}
39
+
40
+src_install() {
41
+	autotools-utils_src_install
42
+}

+ 42
- 0
sys-apps/package-query/package-query-1.8.ebuild Visa fil

@@ -0,0 +1,42 @@
1
+# Copyright 1999-2015 Gentoo Foundation
2
+# Distributed under the terms of the GNU General Public License v2
3
+# $Id$
4
+
5
+EAPI=4
6
+
7
+inherit autotools autotools-utils eutils flag-o-matic
8
+
9
+DESCRIPTION="Query ALPM and AUR"
10
+HOMEPAGE="https://github.com/archlinuxfr/package-query/"
11
+SRC_URI="https://mir.archlinux.fr/~tuxce/releases/${PN}/${P}.tar.gz"
12
+
13
+LICENSE="GPL-2"
14
+SLOT="0"
15
+KEYWORDS="~amd64 ~x86"
16
+IUSE=""
17
+
18
+DEPEND="
19
+	dev-libs/yajl
20
+	>=sys-apps/pacman-5.0
21
+"
22
+
23
+RDEPEND="${DEPEND}"
24
+
25
+src_prepare() {
26
+	eautoreconf
27
+}
28
+
29
+src_configure() {
30
+	append-flags "-std=c99"
31
+	local myeconfargs=(
32
+		--prefix=/usr
33
+		--sysconfdir=/etc
34
+		--localstatedir=/var
35
+		--with-aur-url=https://aur.archlinux.org
36
+	)
37
+	autotools-utils_src_configure
38
+}
39
+
40
+src_install() {
41
+	autotools-utils_src_install
42
+}

+ 7
- 0
sys-apps/pacman/Manifest Visa fil

@@ -0,0 +1,7 @@
1
+AUX pacman-4.0.0-gpgme.patch 1588 SHA256 19e285aca79c1c0499a013eee30a22a9b16e6d8cd8c3583ffc8c597e39bbb2ed SHA512 7651769ca4b4f5ae0157e5b108a75777b3057b3d1dadb0e6c03650340f5eecdc852967627e2bbd18eb4d54c4d05db5ead57cfac42b428dd5caf16f9654d70b4c WHIRLPOOL b994cd6f38e8cacecba91f85706f88aeb05984cbd3d83c6cfaedaa9e0572198e1ebee34155f581fa249651060bf1478512483dfd5927afccae8943d5fbd5a8c7
2
+DIST pacman-4.0.3.tar.gz 1961839 SHA256 a48696ae51aaccf31a69ea7916ba9b06e7836eb933b8a281c666729c9d55ce25 SHA512 a1c7607470f0c54affe09a1b0491cdc310f37accaf782489439fd80f85b7b0ae313c477f5f3075ddef86234364b2b317e9f6abe618722b603cc9808fbba2b326 WHIRLPOOL f01c0ee89e471fbf08d71abe6e1413d7102ce6b20d20a1658a88f4600df01e9485420975ef698765b2f358e83dffe84d68df0891a6d888a35826254db33856ed
3
+DIST pacman-5.0.0.tar.gz 3298705 SHA256 6a1b6e5bc4a682a3a2da5e402434a2a35bf6d492586508776098cbfec1074711 SHA512 701a79891f23c20dd32f9bc38bf2d3d6c54c394ad49ba0f334b7d5dfaa61d4a37fdc78ba4feb12ab027139da505c07a62cac8465bb73a6b9b3d543d9d3f9e8ae WHIRLPOOL 8441234aaa676442be7d763e09e44fa311d86c34b499de3f31a8e1f890dfcc2ca37a7d0e26c756c18b8c250abee9ff3203ca8f281cd7ce2ae674a29c583be06b
4
+DIST pacman-5.0.1.tar.gz 3309220 SHA256 8bd5f407ce8e05c4be8f1c4be4d8dcc8550ea5e494937da5220ea2c23cbb8e04 SHA512 9c8c5c8a203f952561ca4aef7d52f40cbecd47f184748dcd34bdf6588ed921e63cc1688647098739d8c54f4b57b239f368bf4f27ddebf3db2f351bf4acd5f707 WHIRLPOOL ccbaa3f0a848a9a4aea90a0c6e18d72d855acf31561f6db7f3b9c4f1b6360e7781172d5190e589b55ea67e3661fcba034766683ed617465fd31666bd27860920
5
+EBUILD pacman-4.0.3-r1.ebuild 2377 SHA256 d35ab55af4e4423c753c5a38db281cd31dc7753bdbe78c7acbd7a8120b60a30a SHA512 018c7b47efcf5ea1a4abb80151bef085681899bde2514a5c20bae0eefab751d3c32fcb04a19695acf4e2468f7b130909f4e73eaa107142712b9aecda2eeb53db WHIRLPOOL cb47485bfb26900bd472c9345913dd947536d17d0c0a48d33951fcd61eec2de200b18015854fe26bf59f6edaa61f23314297b937dd90cc9f49ba3dbc0b2ee898
6
+EBUILD pacman-5.0.0.ebuild 2384 SHA256 e425695aea42391d5ccb501d58f7c5a09d0d1945a1998a173acb0a7e277bac81 SHA512 97fd1f7adca4c4ff3f52f01261c4f42192508e4685a9b96943b94c273a8c5fcbfd78f55af18b0dc070b355a40a59f24567605a01d762400a5e378340ae1b8fd8 WHIRLPOOL 78edd8fd3586bf5e656064ce679ce43f4b49068df92ed5d35a518f02f2a5fdc319799933f87b73aeab7a56ad162e322f4cacd2fe056fb24b539583284f7a2a94
7
+EBUILD pacman-5.0.1.ebuild 2363 SHA256 7d4bff0378062499e5d7c65ceb9e1a9ecde3c2e2bdb1d5557ed5c2c5168c02ca SHA512 319e431916e12cc8545b76a9f0159f1155695d6a8ed2017ca755a3f2c8142e79c8c0d5deeb0f4b4e0b87d33e35dc64084404a38876fce8a52442cccafb28b71f WHIRLPOOL 1330cc1a2877531b073bcfc7c79dc21a47a60bb3bf71df0456a6cd3a6e483c1b4ea998b04b5829117750548cb9166d8a531b27fd3cc4d031053278474cc65b5a

+ 45
- 0
sys-apps/pacman/files/pacman-4.0.0-gpgme.patch Visa fil

@@ -0,0 +1,45 @@
1
+From fc732def0944aac5c7b18860b4f46444e6d50044 Mon Sep 17 00:00:00 2001
2
+From: Nathan Phillip Brink <binki@gentoo.org>
3
+Date: Mon, 17 Oct 2011 21:01:22 +0000
4
+Subject: [PATCH] Use AM_GPGME_PATH macro from gpgme instead of home-built gpgme detection.
5
+
6
+Fixes compilation on Gentoo, where CPPFLAGS=-I/usr/include/gpgme is
7
+necessary.
8
+---
9
+ configure.ac |   20 ++++++++++++--------
10
+ 1 files changed, 12 insertions(+), 8 deletions(-)
11
+
12
+diff --git a/configure.ac b/configure.ac
13
+index c23da75..87cd359 100644
14
+--- a/configure.ac
15
++++ b/configure.ac
16
+@@ -161,14 +161,18 @@ AM_CONDITIONAL([HAVE_LIBSSL], [test "x$with_openssl" = "xyes"])
17
+ # Check for gpgme
18
+ AC_MSG_CHECKING(whether to link with libgpgme)
19
+ AS_IF([test "x$with_gpgme" != "xno"],
20
+-	[AC_MSG_RESULT(yes)
21
+-	AC_CHECK_LIB([gpgme], [gpgme_check_version], ,
22
+-	[if test "x$with_gpgme" != "xcheck"; then
23
+-		AC_MSG_FAILURE([--with-ggpme was given, but -lgpgme was not found])
24
+-	fi],
25
+-	[-lgpgme])
26
+-	with_gpgme=$ac_cv_lib_gpgme_gpgme_check_version],
27
+-	AC_MSG_RESULT(no))
28
++	[AC_MSG_RESULT([yes])],
29
++	[AC_MSG_RESULT([no])])
30
++AS_IF([test "x$with_gpgme" != "xno"],
31
++	[AM_PATH_GPGME([],
32
++		[LIBS="$LIBS $GPGME_LIBS"
33
++		CPPFLAGS="$CPPFLAGS $GPGME_CPPFLAGS"
34
++		CFLAGS="$CFLAGS $GPGME_CFLAGS"
35
++		with_gpgme=yes
36
++		AC_DEFINE([HAVE_LIBGPGME], [1], [Define if gpgme should be used to provide GPG signature support.])],
37
++		[AS_IF([test "x$with_gpgme" != "xcheck"],
38
++			[AC_MSG_FAILURE([--with-gpgme was given, but gpgme was not found])])
39
++		with_gpgme=no])])
40
+ AM_CONDITIONAL([HAVE_LIBGPGME], [test "x$with_gpgme" = "xyes"])
41
+ 
42
+ # Checks for header files.
43
+-- 
44
+1.7.3.4
45
+

+ 87
- 0
sys-apps/pacman/pacman-4.0.3-r1.ebuild Visa fil

@@ -0,0 +1,87 @@
1
+# Copyright 1999-2015 Gentoo Foundation
2
+# Distributed under the terms of the GNU General Public License v2
3
+# $Id$
4
+
5
+EAPI=4
6
+
7
+PYTHON_COMPAT=( python2_7 )
8
+inherit autotools autotools-utils bash-completion-r1 eutils python-any-r1
9
+
10
+DESCRIPTION="Archlinux's binary package manager"
11
+HOMEPAGE="http://archlinux.org/pacman/"
12
+SRC_URI="ftp://ftp.archlinux.org/other/${PN}/${P}.tar.gz"
13
+
14
+LICENSE="GPL-2"
15
+SLOT="0"
16
+KEYWORDS="~amd64 ~x86"
17
+IUSE="curl debug doc gpg test"
18
+
19
+COMMON_DEPEND="app-arch/libarchive
20
+	dev-libs/openssl
21
+	virtual/libiconv
22
+	virtual/libintl
23
+	sys-devel/gettext
24
+	curl? ( net-misc/curl )
25
+	gpg? ( app-crypt/gpgme )"
26
+RDEPEND="${COMMON_DEPEND}
27
+	app-arch/xz-utils"
28
+# autoconf macros from gpgme requied unconditionally
29
+# makepkg collision with old bash-completion
30
+DEPEND="${COMMON_DEPEND}
31
+	app-crypt/gpgme
32
+	doc? ( app-doc/doxygen
33
+		app-text/asciidoc )
34
+	test? ( ${PYTHON_DEPS} )
35
+	!<=app-shells/bash-completion-2.1-r90"
36
+
37
+RESTRICT="test"
38
+
39
+src_prepare() {
40
+	# Adds AM_GPGME_PATH call which requires app-crypt/gpgme to be
41
+	# DEPENDed on unconditionally:
42
+	epatch "${FILESDIR}"/${PN}-4.0.0-gpgme.patch
43
+
44
+	# Remove a line that adds -Werror in ./configure when --enable-debug
45
+	# is passed:
46
+	sed -i -e '/-Werror/d' configure.ac || die "-Werror"
47
+
48
+	# autopoint is unwilling to replace m4/gettext.m4 with the correct
49
+	# version even though it'll gladly replace */po/Makefile.in.in,
50
+	# creating an inconsistency between gettext m4 macros and
51
+	# Makefile.in.in. Also, AM_MKINSTALLDIRS apparently doesn't exist
52
+	# anymore, so we need newer gettext macros. #420469
53
+	rm m4/gettext.m4 || die
54
+	sed -i -e '/AM_GNU_GETTEXT_VERSION/s/0\.13\.1/0.18.1/' configure.ac || die
55
+
56
+	eautoreconf
57
+}
58
+
59
+src_configure() {
60
+	local myeconfargs=(
61
+		--localstatedir=/var
62
+		--disable-git-version
63
+		--with-openssl
64
+		# Help protect user from shooting his/her Gentoo installation in
65
+		# its foot.
66
+		--with-root-dir="${EPREFIX}"/var/chroot/archlinux
67
+		$(use_enable debug)
68
+		$(use_enable doc)
69
+		$(use_enable doc doxygen)
70
+		$(use_with curl libcurl)
71
+		$(use_with gpg gpgme)
72
+	)
73
+	autotools-utils_src_configure
74
+}
75
+
76
+src_install() {
77
+	autotools-utils_src_install
78
+
79
+	dodir /etc/pacman.d
80
+	newbashcomp "${AUTOTOOLS_BUILD_DIR}"/contrib/bash_completion pacman
81
+	bashcomp_alias pacman pacman-key makepkg
82
+}
83
+
84
+pkg_postinst() {
85
+	einfo "Please see http://ohnopub.net/~ohnobinki/gentoo/arch/ for information"
86
+	einfo "about setting up an archlinux chroot."
87
+}

+ 87
- 0
sys-apps/pacman/pacman-5.0.0.ebuild Visa fil

@@ -0,0 +1,87 @@
1
+# Copyright 1999-2015 Gentoo Foundation
2
+# Distributed under the terms of the GNU General Public License v2
3
+# $Id$
4
+
5
+EAPI=4
6
+
7
+PYTHON_COMPAT=( python2_7 )
8
+inherit autotools autotools-utils bash-completion-r1 eutils python-any-r1
9
+
10
+DESCRIPTION="Archlinux's binary package manager"
11
+HOMEPAGE="https://archlinux.org/pacman/"
12
+SRC_URI="https://sources.archlinux.org/other/${PN}/${P}.tar.gz"
13
+
14
+LICENSE="GPL-2"
15
+SLOT="0"
16
+KEYWORDS="~amd64 ~x86"
17
+IUSE="curl debug doc gpg test"
18
+
19
+COMMON_DEPEND="app-arch/libarchive
20
+	dev-libs/openssl
21
+	virtual/libiconv
22
+	virtual/libintl
23
+	sys-devel/gettext
24
+	curl? ( net-misc/curl )
25
+	gpg? ( app-crypt/gpgme )"
26
+RDEPEND="${COMMON_DEPEND}
27
+	app-arch/xz-utils"
28
+# autoconf macros from gpgme requied unconditionally
29
+# makepkg collision with old bash-completion
30
+DEPEND="${COMMON_DEPEND}
31
+	app-crypt/gpgme
32
+	doc? ( app-doc/doxygen
33
+		app-text/asciidoc )
34
+	test? ( ${PYTHON_DEPS} )
35
+	!<=app-shells/bash-completion-2.1-r90"
36
+
37
+RESTRICT="test"
38
+
39
+src_prepare() {
40
+	# Adds AM_GPGME_PATH call which requires app-crypt/gpgme to be
41
+	# DEPENDed on unconditionally:
42
+	epatch "${FILESDIR}"/${PN}-4.0.0-gpgme.patch
43
+
44
+	# Remove a line that adds -Werror in ./configure when --enable-debug
45
+	# is passed:
46
+	sed -i -e '/-Werror/d' configure.ac || die "-Werror"
47
+
48
+	# autopoint is unwilling to replace m4/gettext.m4 with the correct
49
+	# version even though it'll gladly replace */po/Makefile.in.in,
50
+	# creating an inconsistency between gettext m4 macros and
51
+	# Makefile.in.in. Also, AM_MKINSTALLDIRS apparently doesn't exist
52
+	# anymore, so we need newer gettext macros. #420469
53
+	rm m4/gettext.m4 || die
54
+	sed -i -e '/AM_GNU_GETTEXT_VERSION/s/0\.13\.1/0.18.1/' configure.ac || die
55
+
56
+	eautoreconf
57
+}
58
+
59
+src_configure() {
60
+	local myeconfargs=(
61
+		--localstatedir=/var
62
+		--disable-git-version
63
+		--with-openssl
64
+		# Help protect user from shooting his/her Gentoo installation in
65
+		# its foot.
66
+		--with-root-dir="${EPREFIX}"/var/chroot/archlinux
67
+		$(use_enable debug)
68
+		$(use_enable doc)
69
+		$(use_enable doc doxygen)
70
+		$(use_with curl libcurl)
71
+		$(use_with gpg gpgme)
72
+	)
73
+	autotools-utils_src_configure
74
+}
75
+
76
+src_install() {
77
+	autotools-utils_src_install
78
+
79
+	dodir /etc/pacman.d
80
+	newbashcomp "${AUTOTOOLS_BUILD_DIR}"/contrib/bash_completion pacman
81
+	bashcomp_alias pacman pacman-key makepkg
82
+}
83
+
84
+pkg_postinst() {
85
+	einfo "Please see http://ohnopub.net/~ohnobinki/gentoo/arch/ for information"
86
+	einfo "about setting up an archlinux chroot."
87
+}

+ 87
- 0
sys-apps/pacman/pacman-5.0.1.ebuild Visa fil

@@ -0,0 +1,87 @@
1
+# Copyright 1999-2015 Gentoo Foundation
2
+# Distributed under the terms of the GNU General Public License v2
3
+# $Id$
4
+
5
+EAPI=4
6
+
7
+PYTHON_COMPAT=( python2_7 )
8
+inherit autotools autotools-utils bash-completion-r1 eutils python-any-r1
9
+
10
+DESCRIPTION="Archlinux's binary package manager"
11
+HOMEPAGE="https://archlinux.org/pacman/"
12
+SRC_URI="https://sources.archlinux.org/other/${PN}/${P}.tar.gz"
13
+
14
+LICENSE="GPL-2"
15
+SLOT="0"
16
+KEYWORDS="~amd64 ~x86"
17
+IUSE="curl debug doc gpg test"
18
+
19
+COMMON_DEPEND="app-arch/libarchive
20
+	dev-libs/openssl
21
+	virtual/libiconv
22
+	virtual/libintl
23
+	sys-devel/gettext
24
+	curl? ( net-misc/curl )
25
+	gpg? ( app-crypt/gpgme )"
26
+RDEPEND="${COMMON_DEPEND}
27
+	app-arch/xz-utils"
28
+# autoconf macros from gpgme requied unconditionally
29
+# makepkg collision with old bash-completion
30
+DEPEND="${COMMON_DEPEND}
31
+	app-crypt/gpgme
32
+	doc? ( app-doc/doxygen
33
+		app-text/asciidoc )
34
+	test? ( ${PYTHON_DEPS} )
35
+	!<=app-shells/bash-completion-2.1-r90"
36
+
37
+RESTRICT="test"
38
+
39
+src_prepare() {
40
+	# Adds AM_GPGME_PATH call which requires app-crypt/gpgme to be
41
+	# DEPENDed on unconditionally:
42
+#	epatch "${FILESDIR}"/${PN}-4.0.0-gpgme.patch
43
+
44
+	# Remove a line that adds -Werror in ./configure when --enable-debug
45
+	# is passed:
46
+	sed -i -e '/-Werror/d' configure.ac || die "-Werror"
47
+
48
+	# autopoint is unwilling to replace m4/gettext.m4 with the correct
49
+	# version even though it'll gladly replace */po/Makefile.in.in,
50
+	# creating an inconsistency between gettext m4 macros and
51
+	# Makefile.in.in. Also, AM_MKINSTALLDIRS apparently doesn't exist
52
+	# anymore, so we need newer gettext macros. #420469
53
+	rm m4/gettext.m4 || die
54
+	sed -i -e '/AM_GNU_GETTEXT_VERSION/s/0\.13\.1/0.18.1/' configure.ac || die
55
+
56
+	eautoreconf
57
+}
58
+
59
+src_configure() {
60
+	local myeconfargs=(
61
+		--localstatedir=/var
62
+		--disable-git-version
63
+		--with-openssl
64
+		# Help protect user from shooting his/her Gentoo installation in
65
+		# its foot.
66
+		--with-root-dir="${EPREFIX}"/var/chroot/archlinux
67
+		$(use_enable debug)
68
+		$(use_enable doc)
69
+		$(use_enable doc doxygen)
70
+		$(use_with curl libcurl)
71
+		$(use_with gpg gpgme)
72
+	)
73
+	autotools-utils_src_configure
74
+}
75
+
76
+src_install() {
77
+	autotools-utils_src_install
78
+
79
+	dodir /etc/pacman.d
80
+	newbashcomp contrib/bash_completion.in pacman
81
+	bashcomp_alias pacman pacman-key makepkg
82
+}
83
+
84
+pkg_postinst() {
85
+	einfo "Please see http://ohnopub.net/~ohnobinki/gentoo/arch/ for information"
86
+	einfo "about setting up an archlinux chroot."
87
+}

+ 4
- 0
sys-apps/yaourt/Manifest Visa fil

@@ -0,0 +1,4 @@
1
+DIST yaourt-1.2.2.tar.gz 63467 SHA256 cbfe4414c3136609f98466e49ad807003babceb0238b0c4e6ad5dec23f09ec32 SHA512 7488d4b070842d9920fa9b4558ab688946d5ed5f7a7ef320921c6620c7143edf933e0d7edb8bc1803262f38b1a604f9c2f77fc70c7988ae71e4d99e1426244d6 WHIRLPOOL a074503ef3cc36f1c274119fd6eb999667fc5dba72227bf7d43e659008955f4dc5b1465bc5e2d9668e5c4fc447287e8dd90f9ff9e3b90a899bb12c53778a0164
2
+DIST yaourt-1.8.tar.gz 129744 SHA256 251a371d40906d235fd8a8f49b00b35ccd56e8d36c1eb53790d216ac986b71bf SHA512 1c400b3e4c0b01c5d11e980a4908197f4425b0f1cf3339ee5365697d4b22c390bc3556f05da927e3c09aee54cd129ed49b7344412952d005b080f6d675e6bbb0 WHIRLPOOL cbc5d1110a18eb7f1eab061a7c437b26a2656d4622255d0d602f69fc1c6e5ac03d36623b74f1a5056fece6f817e3357e34b9d4811918bb795a09cfb334590dc6
3
+EBUILD yaourt-1.2.2.ebuild 726 SHA256 aa9c29de4db003f3272d04afbd35fe091701cf36f751539d9203aeaa338e1415 SHA512 e642acef63b52b5649e9a3c473a9ae81dd5178723dd0937b56deb1735cd144de2fe2eafdc0611bbab1db98bdf7465f7cab72c48ccae1e22d3563c4e8d7dc6be1 WHIRLPOOL d233d78037254648c4d6ba7593d1ce27be98334092c38b0e5f1e53bf7327b4aa5c597d18a4a685aac7eeeff517b62e10ac65bbbc1aee243e99e1dfcb87c80f3d
4
+EBUILD yaourt-1.8.ebuild 726 SHA256 b51cca3ff325cc3139feb654033b9d464908153b50272b61d2290570aa951ace SHA512 44c84251a04c4a81395e4fe4683900eb50670f2d2ef1b54bf43b54cce5e7890ebcb8b2c0a21b390c67ac45b7d841abe597a2342eeb918c0eaba884297054fa3c WHIRLPOOL ef8819a89d3820c2c3d342e73767706494ccc8431185258f4b1f8a1ded4b6211e5e53f54f7117ee0854d83ae10d8c5961d1372902b8b7464f27f7e54cc9933d2

+ 32
- 0
sys-apps/yaourt/yaourt-1.2.2.ebuild Visa fil

@@ -0,0 +1,32 @@
1
+# Copyright 1999-2015 Gentoo Foundation
2
+# Distributed under the terms of the GNU General Public License v2
3
+# $Id$
4
+
5
+EAPI=4
6
+
7
+inherit bash-completion-r1 eutils
8
+
9
+DESCRIPTION="A pacman wrapper with extended features and AUR support"
10
+HOMEPAGE="http://www.archlinux.fr/yaourt-en/"
11
+SRC_URI="http://mir.archlinux.fr/~tuxce/releases/${PN}/${P}.tar.gz"
12
+
13
+LICENSE="GPL-2"
14
+SLOT="0"
15
+KEYWORDS="~amd64 ~x86"
16
+
17
+DEPEND="
18
+	>=sys-apps/package-query-1.0
19
+	>=sys-apps/pacman-4.0
20
+"
21
+
22
+RDEPEND="${DEPEND}"
23
+
24
+src_prepare() {
25
+	emake PREFIX=/usr sysconfdir=/etc localstatedir=/var
26
+}
27
+
28
+src_install() {
29
+	emake PREFIX=/usr sysconfdir=/etc localstatedir=/var DESTDIR="${D}" install
30
+	sed -i /_completion_loader/d bashcompletion
31
+	newbashcomp bashcompletion yaourt
32
+}

+ 32
- 0
sys-apps/yaourt/yaourt-1.8.ebuild Visa fil

@@ -0,0 +1,32 @@
1
+# Copyright 1999-2015 Gentoo Foundation
2
+# Distributed under the terms of the GNU General Public License v2
3
+# $Id$
4
+
5
+EAPI=4
6
+
7
+inherit bash-completion-r1 eutils
8
+
9
+DESCRIPTION="A pacman wrapper with extended features and AUR support"
10
+HOMEPAGE="http://www.archlinux.fr/yaourt-en/"
11
+SRC_URI="http://mir.archlinux.fr/~tuxce/releases/${PN}/${P}.tar.gz"
12
+
13
+LICENSE="GPL-2"
14
+SLOT="0"
15
+KEYWORDS="~amd64 ~x86"
16
+
17
+DEPEND="
18
+	>=sys-apps/package-query-1.8
19
+	>=sys-apps/pacman-5.0
20
+"
21
+
22
+RDEPEND="${DEPEND}"
23
+
24
+src_prepare() {
25
+	emake PREFIX=/usr sysconfdir=/etc localstatedir=/var
26
+}
27
+
28
+src_install() {
29
+	emake PREFIX=/usr sysconfdir=/etc localstatedir=/var DESTDIR="${D}" install
30
+	sed -i /_completion_loader/d bashcompletion
31
+	newbashcomp bashcompletion yaourt
32
+}

+ 1
- 0
x11-base/xorg-x11/Manifest Visa fil

@@ -0,0 +1 @@
1
+EBUILD xorg-x11-7.4-r2.ebuild 3693 SHA256 a0fdca00f3812dd9f3eca56ac2796929fee7991fb9af34f9ec92775a0ea4ff48 SHA512 3cdec358c4d5ebb0c5837ecf4389e7524a6a56514a177c1a1c2a611bb5cb966428dd254b12add8a8d489110f611484c82e521f1985e25ad1fe1f64bd5cbc3cbc WHIRLPOOL 267f25f6d1b5a05ec69c06a354bc852087c0e04e702c6dfbd3f3461dee248e6c2830a4e3489ce9ed31aa477e7c1eaeebe5407132b3520df85db6c950dc3b7b62

+ 155
- 0
x11-base/xorg-x11/xorg-x11-7.4-r2.ebuild Visa fil

@@ -0,0 +1,155 @@
1
+# Copyright 1999-2012 Gentoo Foundation
2
+# Distributed under the terms of the GNU General Public License v2
3
+# $Header: /var/cvsroot/gentoo-x86/x11-base/xorg-x11/xorg-x11-7.4-r2.ebuild,v 1.3 2012/10/06 20:41:11 ulm Exp $
4
+
5
+EAPI="2"
6
+
7
+inherit eutils
8
+
9
+DESCRIPTION="An X11 implementation maintained by the X.Org Foundation (meta package)"
10
+HOMEPAGE="http://xorg.freedesktop.org"
11
+
12
+LICENSE="metapackage"
13
+SLOT="0"
14
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd"
15
+IUSE="adobe"
16
+
17
+# Server
18
+RDEPEND="${RDEPEND}
19
+	x11-base/xorg-server[-minimal]"
20
+
21
+# Applications
22
+RDEPEND="${RDEPEND}
23
+	x11-apps/appres
24
+	x11-apps/bitmap
25
+	x11-apps/iceauth
26
+	x11-apps/luit
27
+	x11-apps/mkfontdir
28
+	x11-apps/mkfontscale
29
+	x11-apps/sessreg
30
+	x11-apps/setxkbmap
31
+	x11-apps/smproxy
32
+	x11-apps/x11perf
33
+	x11-apps/xauth
34
+	x11-apps/xbacklight
35
+	x11-apps/xcmsdb
36
+	x11-apps/xcursorgen
37
+	x11-apps/xdpyinfo
38
+	x11-apps/xdriinfo
39
+	x11-apps/xev
40
+	x11-apps/xf86dga
41
+	x11-apps/xgamma
42
+	x11-apps/xhost
43
+	x11-apps/xinput
44
+	x11-apps/xkbcomp
45
+	x11-apps/xkbevd
46
+	x11-apps/xkbutils
47
+	x11-apps/xkill
48
+	x11-apps/xlsatoms
49
+	x11-apps/xlsclients
50
+	x11-apps/xmodmap
51
+	x11-apps/xpr
52
+	x11-apps/xprop
53
+	x11-apps/xrandr
54
+	x11-apps/xrdb
55
+	x11-apps/xrefresh
56
+	x11-apps/xset
57
+	x11-apps/xsetroot
58
+	x11-apps/xvinfo
59
+	x11-apps/xwd
60
+	x11-apps/xwininfo
61
+	x11-apps/xwud
62
+	"
63
+
64
+# Data
65
+RDEPEND="${RDEPEND}
66
+	x11-misc/xbitmaps
67
+	x11-themes/xcursor-themes
68
+	"
69
+
70
+# Utilities
71
+RDEPEND="${RDEPEND}
72
+	x11-misc/makedepend
73
+	x11-misc/util-macros
74
+	"
75
+
76
+# Fonts
77
+RDEPEND="${RDEPEND}
78
+	adobe? (
79
+		media-fonts/font-adobe-100dpi
80
+		media-fonts/font-adobe-75dpi
81
+		media-fonts/font-adobe-utopia-100dpi
82
+		media-fonts/font-adobe-utopia-75dpi
83
+		media-fonts/font-adobe-utopia-type1
84
+	)
85
+	media-fonts/font-alias
86
+	media-fonts/font-arabic-misc
87
+	media-fonts/font-bh-100dpi
88
+	media-fonts/font-bh-75dpi
89
+	media-fonts/font-bh-lucidatypewriter-100dpi
90
+	media-fonts/font-bh-lucidatypewriter-75dpi
91
+	media-fonts/font-bh-ttf
92
+	media-fonts/font-bh-type1
93
+	media-fonts/font-bitstream-100dpi
94
+	media-fonts/font-bitstream-75dpi
95
+	media-fonts/font-bitstream-speedo
96
+	media-fonts/font-bitstream-type1
97
+	media-fonts/font-cronyx-cyrillic
98
+	media-fonts/font-cursor-misc
99
+	media-fonts/font-daewoo-misc
100
+	media-fonts/font-dec-misc
101
+	media-fonts/font-ibm-type1
102
+	media-fonts/font-isas-misc
103
+	media-fonts/font-jis-misc
104
+	media-fonts/font-micro-misc
105
+	media-fonts/font-misc-cyrillic
106
+	media-fonts/font-misc-ethiopic
107
+	media-fonts/font-misc-meltho
108
+	media-fonts/font-misc-misc
109
+	media-fonts/font-mutt-misc
110
+	media-fonts/font-schumacher-misc
111
+	media-fonts/font-screen-cyrillic
112
+	media-fonts/font-sony-misc
113
+	media-fonts/font-sun-misc
114
+	media-fonts/font-util
115
+	media-fonts/font-winitzki-cyrillic
116
+	media-fonts/font-xfree86-type1
117
+
118
+	media-fonts/font-alias
119
+	media-fonts/font-util
120
+	media-fonts/encodings
121
+	"
122
+
123
+DEPEND="${RDEPEND}"
124
+
125
+pkg_preinst() {
126
+	# Save xorg.conf because of bug #278268
127
+	if [[ -f "${ROOT}etc/X11/xorg.conf" ]]; then
128
+		cp "${ROOT}etc/X11/xorg.conf" "${T}"
129
+	fi
130
+}
131
+
132
+pkg_postinst() {
133
+	# Restore saved xorg.conf
134
+	if [[ -f "${T}/xorg.conf" ]]; then
135
+		cp "${T}/xorg.conf" "${ROOT}etc/X11/xorg.conf"
136
+	fi
137
+
138
+	elog
139
+	elog "Please note that the xcursors are in ${ROOT}usr/share/cursors/${PN}."
140
+	elog "Any custom cursor sets should be placed in that directory."
141
+	elog
142
+	elog "If you wish to set system-wide default cursors, please create"
143
+	elog "${ROOT}usr/local/share/cursors/${PN}/default/index.theme"
144
+	elog "with content: \"Inherits=theme_name\" so that future"
145
+	elog "emerges will not overwrite those settings."
146
+	elog
147
+	elog "Listening on TCP is disabled by default with startx."
148
+	elog "To enable it, edit ${ROOT}usr/bin/startx."
149
+	elog
150
+
151
+	# (#76985)
152
+	elog "Visit http://www.gentoo.org/doc/en/index.xml?catid=desktop"
153
+	elog "for more information on configuring X."
154
+	elog
155
+}

Laddar…
Avbryt
Spara